Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Delete an order [ROOT ORGANIZATION]

Prev Next
Delete
/inventory/storeOrders/{orderId}

Delete the order associated with a given id.
This endpoint can only be invoked by the root organization.
Required permissions: READ_ORDER, WRITE_ORDER.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Path parameters
orderId
stringRequired

The id of the order to delete.

Minimum1.0
Exampleabcd1234
Responses
204

Successfully deleted.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error